Skip to main content
`Ctrl`+`K`

# DMForestTopology

String with the name of a PETSc `DMFOREST` base mesh topology. The topology is a string (e.g. “cube”, “shell”) and can be interpreted by subtypes of `DMFOREST`) to construct the base `DM` of a forest during `DMSetUp()`.

## Synopsis

    typedef const char *DMForestTopology;

## See Also

DM Basics, `DMForestSetTopology()`, `DMForestGetTopology()`, `DMFOREST`

## Level

beginner

## Location

include/petscdmforest.h

Index of all DMForest routines
Table of Contents for all manual pages
Index of all manual pages